logging.level.com.eggdigital.rpp=debug
# ----------------------------------------
# COMMON PROPERTIES
# ----------------------------------------
# INTERNATIONALIZATION
spring.messages.cache-seconds=1
# ----------------------------------------
# WEB PROPERTIES
# ----------------------------------------
# EMBEDDED SERVER CONFIGURATION
server.port=8080
# ----------------------------------------
# DATASOURCE
# ----------------------------------------
# Fully qualified name of the JDBC driver. Auto-detected based on the URL by default.
#spring.datasource.driver-class-name=
# Fully qualified name of the connection pool implementation to use. By default, it is auto-detected from the classpath.
spring.datasource.type=com.zaxxer.hikari.HikariDataSource
# JDBC url of the database.
spring.datasource.url=jdbc:h2:mem:edc_app;DB_CLOSE_DELAY=-1;DB_CLOSE_ON_EXIT=FALSE
spring.datasource.name=
spring.datasource.username=rpp
spring.datasource.password=
# Platform to use in the schema resource (schema-${platform}.sql).
#spring.datasource.platform=h2
# Do not stop if an error occurs while initializing the database.
#spring.datasource.continue-on-error=false
# Schema (DDL) script resource reference.
#spring.datasource.schema=
# Data (DML) script resource reference.
spring.datasource.data=classpath:/data/data-master.sql,classpath:/data/data-h2.sql
# SQL scripts encoding.
spring.datasource.sql-script-encoding=UTF-8
# ----------------------------------------
# SECURITY PROPERTIES
# ----------------------------------------
security.ignored=/api/**,/h2-console/**
# ----------------------------------------
# JPA
# ----------------------------------------
spring.jpa.database=H2
spring.jpa.database-platform=org.hibernate.dialect.H2Dialect
# DDL model. This is actually a shortcut for the "hibernate.hbm2ddl.auto" property. Default to "create-drop" when using an embedded database, "none" otherwise.
spring.jpa.hibernate.ddl-auto=create-drop
# Enable logging of SQL statements.
spring.jpa.show-sql=true
# ----------------------------------------
# H2 WEB CONSOLE
# ----------------------------------------
spring.h2.console.enabled=true
spring.h2.console.path=/h2-console
# ----------------------------------------
# DEVTOOLS PROPERTIES
# ----------------------------------------
spring.devtools.restart.enabled=true